edu.northwestern.at.morphadorner.corpuslinguistics.namerecognizer

## Interface NameRecognizer

- All Known Implementing Classes:
    AbstractNameRecognizer, DefaultNameRecognizer

      public interface NameRecognizer

  Interface for a Name Recognizer.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends AdornedWord> java.util.List<NamePosition>[]` | `findNamePositions(java.util.List<java.util.List<T>> sentences)` Returns name positions in list of adorned word sentences.
    `<T extends AdornedWord> java.util.Set<java.lang.String>[]` | `findNames(java.util.List<java.util.List<T>> sentences)` Returns names from list of adorned word sentences.
    `java.util.Set<java.lang.String>[]` | `findNames(java.lang.String text)` Returns names from text.
    `Lexicon` | `getLexicon()` Get the lexicon.
    `PartOfSpeechTagger` | `getPartOfSpeechTagger()` Get part of speech tagger.
    `void` | `setLexicon(Lexicon lexicon)` Set the lexicon.
    `void` | `setPartOfSpeechTagger(PartOfSpeechTagger partOfSpeechTagger)` Set part of speech tagger.

- - ### Method Detail

    - #### getLexicon

          Lexicon getLexicon()

      Get the lexicon.
      Returns:
        The lexicon. May be null if name recognizer does not use a lexicon.

    - #### setLexicon

          void setLexicon(Lexicon lexicon)

      Set the lexicon.
      Parameters:
        `lexicon` - Lexicon used for name recognition.

    - #### getPartOfSpeechTagger

          PartOfSpeechTagger getPartOfSpeechTagger()

      Get part of speech tagger.
      Returns:
        The part of speech tagger.

    - #### setPartOfSpeechTagger

          void setPartOfSpeechTagger(PartOfSpeechTagger partOfSpeechTagger)

      Set part of speech tagger.
      Parameters:
        `partOfSpeechTagger` - The part of speech tagger.

    - #### findNames

          java.util.Set<java.lang.String>[] findNames(java.lang.String text)

      Returns names from text.
      Parameters:
        `text` - The text from which to extract names.
      Returns:
        Array of string sets containing names and places. [0] = Set of proper names. [1] = Set of places.

    - #### findNames

          <T extends AdornedWord> java.util.Set<java.lang.String>[] findNames(java.util.List<java.util.List<T>> sentences)

      Returns names from list of adorned word sentences.
      Parameters:
        `sentences` - The list of sentences of adorned words from which to extract names.
      Returns:
        Array of string sets containing names and places. [0] = Set of proper names. [1] = Set of places.

    - #### findNamePositions

          <T extends AdornedWord> java.util.List<NamePosition>[] findNamePositions(java.util.List<java.util.List<T>> sentences)

      Returns name positions in list of adorned word sentences.
      Parameters:
        `sentences` - The list of sentences of adorned words from which to extract names.
      Returns:
        Array of Set of names and places. [0] = Set of proper names. [1] = Set of places.